> For the complete documentation index, see [llms.txt](https://docs.appmixer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appmixer.com/connector-configuration/utils/csv/getrows.md).

# Get Rows

### Overview

The **GetRows** component retrieves rows from a CSV file. It allows filtering of rows based on conditions and supports column headers for structured data extraction.

### Input Parameters

| Parameter     | Type      | Required | Description                                                                                                 |
| ------------- | --------- | -------- | ----------------------------------------------------------------------------------------------------------- |
| `withHeaders` | `boolean` | ✅        | Set to `true` if the first row represents column names (CSV header) and should be used to identify columns. |
| `filterRows`  | `boolean` | ✅        | Enable filtering to return only rows that match specified conditions.                                       |

### Output Parameters

| Parameter | Type     | Description                           |
| --------- | -------- | ------------------------------------- |
| `fileId`  | `string` | The ID of the processed CSV file.     |
| `rows`    | `array`  | The extracted rows from the CSV file. |

### Instructions

1. **Use Column Headers (Optional)**
   * If the first row of the CSV file contains column names, enable the **Use Column Names** toggle.
   * Otherwise, columns will be identified by their index.
2. **Apply Row Filters (Optional)**
   * Enable **Filter Rows** if you want to return only the rows matching specific criteria.
   * Filters can be defined based on column values.
3. **Processing**
   * The component extracts rows based on the provided criteria.
   * The processed data is returned as an array of rows.
4. **Output**
   * The retrieved rows can be used for further processing or stored for reference.

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.appmixer.com/connector-configuration/utils/csv/getrows.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
